#!/bin/bash

ARG1=$1
NAMESPACE=$(cat namespace)

echo "Namespace: $NAMESPACE"




if [ "$ARG1" = "initial" ]; then
  psql << EOF
create user mainscntgrafana;
commit;
create database mainscntgrafana with owner mainscntgrafana;
EOF
fi

./roll-db-credential.sh

helm repo add grafana https://grafana.github.io/helm-charts
helm repo update
helm upgrade --install -f values.yml mainscntgrafana grafana/grafana --version 6.59.0 --namespace=$NAMESPACE

kubectl annotate deployments mainscntgrafana -n $NAMESPACE --overwrite=true secret.reloader.stakater.com/reload=grafana-db-cred

kubectl -f ingress.yml -n $NAMESPACE apply

