#!/bin/bash


DATABASE=mainscntgrafana
LOGIN=mainscntgrafana
PASSWORD=`openssl rand -base64 24`
NAMESPACE=$(cat namespace)

psql <<EOF
do
\$\$
begin
  if not exists (SELECT * FROM pg_user WHERE usename = '$LOGIN') then
    CREATE USER $LOGIN WITH PASSWORD '$PASSWORD';
  else
    ALTER USER $LOGIN WITH PASSWORD '$PASSWORD';
  end if;
  GRANT ALL PRIVILEGES ON DATABASE $DATABASE TO $LOGIN;
end
\$\$
;
commit;
EOF

kubectl create secret generic grafana-db-cred \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal=GF_DATABASE_USER="$LOGIN" \
  --from-literal=GF_DATABASE_PASSWORD="$PASSWORD" | \
kubectl apply -f - -n $NAMESPACE


